package repository

import (
	"context"
	"zadanie7API/main/models"
)

func (repo *PGrepo) GetEquipment(id int) (models.Equipment, error) {
	rows, err := repo.pool.Query(context.Background(), "select * from equipment WHERE GUID = $1", id)
	defer rows.Close()
	equipment := models.Equipment{}
	rows.Next()
	err = rows.Scan(&equipment.GUID, &equipment.InventoryNumber, &equipment.Name, &equipment.OwnerId, &equipment.ReceiptDate,
		&equipment.LifeTime)

	if err != nil {
		panic(err)
	}
	return equipment, nil
}
func (repo *PGrepo) CreateEquipment(equipment models.Equipment) {
	_, err := repo.pool.Query(context.Background(), "INSERT INTO equipment (inventoryNumber, Name, OwnerId, receiptDate, lifeTime) values ($1, $2, $3, $4, $5)",
		equipment.InventoryNumber, equipment.Name, equipment.OwnerId, equipment.ReceiptDate, equipment.LifeTime)
	if err != nil {
		panic(err)
	}
}
